# -*- coding: utf-8 -*-

from admin_tools.dashboard import modules
from django.utils.translation import gettext_lazy as _


class DefaultDashboard(modules.Group):
    def __init__(self, **kwargs):
        kwargs.update({
            'title': _("l10n"),
            'display': "tabs",
            'children': [Models()]
        })
        super().__init__(**kwargs)


class MainDashboard(modules.Group):
    def __init__(self, **kwargs):
        kwargs.update({
            'title': _("l10n"),
            'display': "tabs",
            'children': [Models()]
        })
        super().__init__(**kwargs)


class Models(modules.ModelList):
    def __init__(self, **kwargs):
        kwargs.update({
            'title': _("main models"),
            'models': (
                'thx.l10n.models.Country',
                'thx.l10n.models.AdministrativeArea',
            ),
        })
        super().__init__(**kwargs)
