# -*- coding: utf-8 -*-
from django.utils.translation import gettext_lazy as _

children = []
models = [
    {
        'model_name': 'country',
        'model_label': _('country'),
        'model_label_plural': _('countries')
    },
    {
        'model_name': 'administrativearea',
        'model_label': _('administrative area'),
        'model_label_plural': _('administrative areas')
    },
]

for model in models:
    add_entry = {
        "title": _("add {}").format(model['model_label']),
        "url_name": f"admin:l10n_{model['model_name']}_add",
        "perms": [f"l10n.add_{model['model_name']}"],
    }
    children.append(add_entry)
    list_entry = {
        "title": _("list {}").format(model['model_label_plural']),
        "url_name": f"admin:l10n_{model['model_name']}_changelist",
        "perms": [
            f"l10n.view_{model['model_name']}",
            f"l10n.change_{model['model_name']}"
        ],
    }
    children.append(list_entry)

menu_items = [{
    'title': _('l10n'),
    'url_name': {'viewname': 'admin:app_list', 'kwargs': {'app_label': 'l10n'}},
    'perms': ['l10n.*'],
    'children': children
}]
